### Class method

# Gom ResourceClass set_reference

#### Declaration [src]

    void
    gom_resource_class_set_reference (
      GomResourceClass* resource_class,
      const gchar* property_name,
      const gchar* ref_table_name,
      const gchar* ref_property_name
    )

#### Description

No description available.

#### Parameters

`property_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`ref_table_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`ref_property_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.